com.tibco.ftl.group

## Class GroupFactory

- java.lang.Object
- - com.tibco.ftl.group.GroupFactory

-     public class GroupFactory
      extends java.lang.Object

  Factory class for group objects.

  For an overview, see `Group`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getVersionInformation()` Release string identifying the TIBCO FTL group library (Java archive file).
    `static Group` | `join(Realm realm, java.lang.String groupName, TibProperties props)` Join a group, and create a group object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### join

          public static Group join(Realm realm,
                                   java.lang.String groupName,
                                   TibProperties props)
                            throws FTLException

      Join a group, and create a group object.

      The group object connects to the group server.

      In best practice, programs first subscribe to the `ORDINAL_UPDATE` advisory, and then join a group.

      Parameters:
        `realm` - The call contacts the group server, which operates inside the realm server for this realm object. Furthermore, the group facility raises advisory messages within this realm.
        `groupName` - The program supplies a string.
        `props` - Optional; to omit, supply `NULL`. Properties configure interaction with the group server and with other group members.
        - `Group.PROPERTY_DOUBLE_ACTIVATION_INTERVAL`
        - `Group.PROPERTY_MESSAGE_MEMBER_DESCRIPTOR`
        - `Group.PROPERTY_BOOLEAN_OBSERVER`
      Returns:
        This call returns a `Group` object.
      Throws:
        `FTLException`

    - #### getVersionInformation

          public static java.lang.String getVersionInformation()

      Release string identifying the TIBCO FTL group library (Java archive file).

      Programs can use this string to output the TIBCO FTL group version in a start banner or in debug output.

      Returns:
        The release string that identifies the TIBCO FTL group library